Package org.eclipse.rdf4j.common.exception

## Class RDF4JException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.eclipse.rdf4j.common.exception.RDF4JException

- All Implemented Interfaces:
    `Serializable`
  Direct Known Subclasses:
    `DAWGTestResultSetParseException`, `FedXException`, `LiteralUtilException`, `MalformedQueryException`, `MalformedSpinException`, `ModelException`, `QueryEvaluationException`, `QueryResultHandlerException`, `QueryResultParseException`, `RDF4JConfigException`, `RDF4JSpringException`, `RDFHandlerException`, `RDFParseException`, `RemoteShaclValidationException`, `RepositoryException`, `RioConfigurationException`, `SailException`, `UpdateExecutionException`

      public abstract class RDF4JException
      extends RuntimeException

  General superclass of all unchecked exceptions that parts of RDF4J can throw.
  Author:
    Jeen Broekstra
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RDF4JException()` |
    `RDF4JException​(String msg)` |
    `RDF4JException​(String msg, Throwable t)` |
    `RDF4JException​(Throwable t)` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RDF4JException

          public RDF4JException()

    - #### RDF4JException

          public RDF4JException​(String msg)

    - #### RDF4JException

          public RDF4JException​(Throwable t)

    - #### RDF4JException

          public RDF4JException​(String msg,
                                Throwable t)